package com.rjconsultores.ventaboletos.vo.mercadopago;

import java.util.Objects;

public class PosVO {

	private String id;
	private String name;
	private boolean fixed_amount;
	private String store_id;
	private String external_store_id;
	private String external_id;
	private Integer category;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isFixed_amount() {
		return fixed_amount;
	}

	public void setFixed_amount(boolean fixed_amount) {
		this.fixed_amount = fixed_amount;
	}

	public String getStore_id() {
		return store_id;
	}

	public void setStore_id(String store_id) {
		this.store_id = store_id;
	}

	public String getExternal_store_id() {
		return external_store_id;
	}

	public void setExternal_store_id(String external_store_id) {
		this.external_store_id = external_store_id;
	}

	public String getExternal_id() {
		return external_id;
	}

	public void setExternal_id(String external_id) {
		this.external_id = external_id;
	}

	public Integer getCategory() {
		return category;
	}

	public void setCategory(Integer category) {
		this.category = category;
	}

	@Override
	public String toString() {
		return this.getExternal_id();
	}

	@Override
	public int hashCode() {
		return Objects.hash(external_id, id, name);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		PosVO other = (PosVO) obj;
		return Objects.equals(external_id, other.external_id) && Objects.equals(id, other.id)
				&& Objects.equals(name, other.name);
	}

}
